{ lib, stdenv }:

stdenv.mkDerivation rec {
  pname = "ralsei-deltarune-cursors";
  version = "1.0.0";
  src = ./.;

  nativeBuildInputs = [ ];

  buildInputs = [ ];

  installPhase = ''
	mkdir -p $out/share/icons/RalseiCursors/cursors
	cp $src/cursors/* $out/share/icons/RalseiCursors/cursors/
	cp $src/index.theme $out/share/icons/RalseiCursors/
  '';

  meta = with lib; {
	# https://www.reddit.com/r/ralsei/comments/1cf7wic
	description = "Ralsei cursor theme (Deltarune)";
  };
}
